## OobsIfacePPP

OobsIfacePPP — Object that represents an individual PPP interface

## Functions

void | oobs_iface_ppp_set_connection_type ()
const gchar * | oobs_iface_ppp_get_connection_type ()
void | oobs_iface_ppp_set_login ()
const gchar * | oobs_iface_ppp_get_login ()
void | oobs_iface_ppp_set_password ()
void | oobs_iface_ppp_set_phone_number ()
const gchar * | oobs_iface_ppp_get_phone_number ()
void | oobs_iface_ppp_set_phone_prefix ()
const gchar * | oobs_iface_ppp_get_phone_prefix ()
void | oobs_iface_ppp_set_default_gateway ()
gboolean | oobs_iface_ppp_get_default_gateway ()
void | oobs_iface_ppp_set_use_peer_dns ()
gboolean | oobs_iface_ppp_get_use_peer_dns ()
void | oobs_iface_ppp_set_persistent ()
gboolean | oobs_iface_ppp_get_persistent ()
void | oobs_iface_ppp_set_peer_noauth ()
gboolean | oobs_iface_ppp_get_peer_noauth ()
void | oobs_iface_ppp_set_serial_port ()
const gchar * | oobs_iface_ppp_get_serial_port ()
void | oobs_iface_ppp_set_volume ()
OobsModemVolume | oobs_iface_ppp_get_volume ()
void | oobs_iface_ppp_set_dial_type ()
OobsDialType | oobs_iface_ppp_get_dial_type ()
void | oobs_iface_ppp_set_ethernet ()
OobsIfaceEthernet * | oobs_iface_ppp_get_ethernet ()
void | oobs_iface_ppp_set_apn ()
const gchar * | oobs_iface_ppp_get_apn ()

## Properties

char * | apn | Read / Write
char * | connection-type | Read / Write
gboolean | default-gateway | Read / Write
OobsDialType | dial-type | Read / Write
OobsIfaceEthernet * | ethernet | Read / Write
char * | iface-section | Read / Write
char * | login | Read / Write
char * | password | Read / Write
gboolean | peer-noauth | Read / Write
gboolean | persistent | Read / Write
char * | phone-number | Read / Write
char * | phone-prefix | Read / Write
char * | serial-port | Read / Write
gboolean | use-peer-dns | Read / Write
OobsModemVolume | volume | Read / Write

## Object Hierarchy

        GEnum
        ├── OobsDialType
        ╰── OobsModemVolume
        GObject
        ╰── OobsIface
            ╰── OobsIfacePPP

## Description

## Functions

### oobs_iface_ppp_set_connection_type ()

    void
    oobs_iface_ppp_set_connection_type (OobsIfacePPP *iface,
                                        const gchar *type);

Sets the connection type for the PPP interface. The list of possible values can be obtained through `oobs_ifaces_config_get_available_ppp_types()`.

#### Parameters

iface | An OobsIfacePPP |
type | A string defining the connection type. |

### oobs_iface_ppp_get_connection_type ()

    const gchar *
    oobs_iface_ppp_get_connection_type (OobsIfacePPP *iface);

Gets the connection type for the PPP interface.

#### Parameters

iface | An OobsIfacePPP |

#### Returns

A string defining the connection type. This string must not be freed, modified or stored.

### oobs_iface_ppp_set_login ()

    void
    oobs_iface_ppp_set_login (OobsIfacePPP *iface,
                              const gchar *login);

Sets a new login for the PPP connection, overwriting the previous one.

#### Parameters

iface | An OobsIfacePPP. |
login | a new login for the PPP connection. |

### oobs_iface_ppp_get_login ()

    const gchar *
    oobs_iface_ppp_get_login (OobsIfacePPP *iface);

Returns the login used for this PPP connection.

#### Parameters

iface | An OobsIfacePPP. |

#### Returns

A pointer to the login. This string must not be freed, modified or stored.

### oobs_iface_ppp_set_password ()

    void
    oobs_iface_ppp_set_password (OobsIfacePPP *iface,
                                 const gchar *password);

Sets a new password for the PPP connection, overwriting the previous one.

#### Parameters

iface | An OobsIfacePPP. |
password | a new password for the PPP connection. |

### oobs_iface_ppp_set_phone_number ()

    void
    oobs_iface_ppp_set_phone_number (OobsIfacePPP *iface,
                                     const gchar *phone_number);

Sets a new phone number for the PPP connection, overwriting the previous one.

#### Parameters

iface | An OobsIfacePPP. |
phone_number | a new phone number for the PPP connection. |

### oobs_iface_ppp_get_phone_number ()

    const gchar *
    oobs_iface_ppp_get_phone_number (OobsIfacePPP *iface);

Returns the phone number used for this PPP connection.

#### Parameters

iface | An OobsIfacePPP. |

#### Returns

A pointer to the phone number. This string must not be freed, modified or stored.

### oobs_iface_ppp_set_phone_prefix ()

    void
    oobs_iface_ppp_set_phone_prefix (OobsIfacePPP *iface,
                                     const gchar *phone_prefix);

Sets a new phone number prefix for the PPP connection, overwriting the previous one.

#### Parameters

iface | An OobsIfacePPP. |
phone_prefix | a new phone number prefix for the PPP connection. |

### oobs_iface_ppp_get_phone_prefix ()

    const gchar *
    oobs_iface_ppp_get_phone_prefix (OobsIfacePPP *iface);

Returns the phone number prefix used for this PPP connection.

#### Parameters

iface | An OobsIfacePPP. |

#### Returns

A pointer to the phone number prefix. This string must not be freed, modified or stored.

### oobs_iface_ppp_set_default_gateway ()

    void
    oobs_iface_ppp_set_default_gateway (OobsIfacePPP *iface,
                                        gboolean default_gw);

Sets whether the interface is the default gateway to Internet.

#### Parameters

iface | An OobsIfacePPP. |
default_gw | TRUE to make this interface the default gateway to Internet. |

### oobs_iface_ppp_get_default_gateway ()

    gboolean
    oobs_iface_ppp_get_default_gateway (OobsIfacePPP *iface);

Returns whether the interface is the default gateway to Internet.

#### Parameters

iface | An OobsIfacePPP. |

#### Returns

TRUE if the interface is the default gateway.

### oobs_iface_ppp_set_use_peer_dns ()

    void
    oobs_iface_ppp_set_use_peer_dns (OobsIfacePPP *iface,
                                     gboolean use_peer_dns);

Sets whether to use the DNS servers that the ISP specifies.

#### Parameters

iface | An OobsIfacePPP. |
use_peer_dns | TRUE to use DNS servers specified by the ISP. |

### oobs_iface_ppp_get_use_peer_dns ()

    gboolean
    oobs_iface_ppp_get_use_peer_dns (OobsIfacePPP *iface);

Returns whether the DNS servers specified by the ISP will be used.

#### Parameters

iface | An OobsIfacePPP. |

#### Returns

TRUE if the DNS servers will be used.

### oobs_iface_ppp_set_persistent ()

    void
    oobs_iface_ppp_set_persistent (OobsIfacePPP *iface,
                                   gboolean persistent);

Sets whether the interface will try to reconnect if the connection fails.

#### Parameters

iface | An OobsIfacePPP. |
persistent | TRUE to try to reconnect if the connection fails. |

### oobs_iface_ppp_get_persistent ()

    gboolean
    oobs_iface_ppp_get_persistent (OobsIfacePPP *iface);

Returns whether the interface will try to reconnect if the connection fails.

#### Parameters

iface | An OobsIfacePPP. |

#### Returns

TRUE if the interface will try to reconnect.

### oobs_iface_ppp_set_peer_noauth ()

    void
    oobs_iface_ppp_set_peer_noauth (OobsIfacePPP *iface,
                                    gboolean use_peer_dns);

Sets whether the peer has to authenticate itself.

#### Parameters

iface | An OobsIfacePPP. |
use_peer_dns | TRUE if the peer has to authenticate itself. |

### oobs_iface_ppp_get_peer_noauth ()

    gboolean
    oobs_iface_ppp_get_peer_noauth (OobsIfacePPP *iface);

Returns whether the peer is required to authenticate itself.

#### Parameters

iface | An OobsIfacePPP. |

#### Returns

TRUE if the peer is required to authenticate itself.

### oobs_iface_ppp_set_serial_port ()

    void
    oobs_iface_ppp_set_serial_port (OobsIfacePPP *iface,
                                    const gchar *serial_port);

Sets a serial port to connect with the modem device.

#### Parameters

iface | An OobsIfacePPP. |
serial_port | a new serial port for the interface. |

### oobs_iface_ppp_get_serial_port ()

    const gchar *
    oobs_iface_ppp_get_serial_port (OobsIfacePPP *iface);

Returns the serial port used to communicate with the modem device.

#### Parameters

iface | An OobsIfacePPP. |

#### Returns

A pointer to the serial port as a string. This string must not be freed, modified or stored.

### oobs_iface_ppp_set_volume ()

    void
    oobs_iface_ppp_set_volume (OobsIfacePPP *iface,
                               OobsModemVolume volume);

Sets the modem volume.

#### Parameters

iface | An OobsIfacePPP. |
volume | the modem volume. |

### oobs_iface_ppp_get_volume ()

    OobsModemVolume
    oobs_iface_ppp_get_volume (OobsIfacePPP *iface);

Returns the modem volume.

#### Parameters

iface | An OobsIfacePPP. |

#### Returns

the modem volume.

### oobs_iface_ppp_set_dial_type ()

    void
    oobs_iface_ppp_set_dial_type (OobsIfacePPP *iface,
                                  OobsDialType dial_type);

Sets the dialing type for the modem connection.

#### Parameters

iface | An OobsIfacePPP. |
dial_type | dialing type for the modem connection. |

### oobs_iface_ppp_get_dial_type ()

    OobsDialType
    oobs_iface_ppp_get_dial_type (OobsIfacePPP *iface);

Returns the dialing type for the modem connection.

#### Parameters

iface | An OobsIfacePPP. |

#### Returns

the dialing type.

### oobs_iface_ppp_set_ethernet ()

    void
    oobs_iface_ppp_set_ethernet (OobsIfacePPP *iface,
                                 OobsIfaceEthernet *ethernet);

Sets the ethernet interface that will be used if the PPP interface is configured as PPPoE.

#### Parameters

iface | An OobsIfacePPP |
ethernet | An OobsIfaceEthernet to use in the PPPoE setup. |

### oobs_iface_ppp_get_ethernet ()

    OobsIfaceEthernet *
    oobs_iface_ppp_get_ethernet (OobsIfacePPP *iface);

Returns the ethernet interface used by the PPP interface if it's configured as PPPoE, or NULL if none is set. You must not unref this.

#### Parameters

iface | An OobsIfacePPP |

#### Returns

An OobsIfaceEthernet

### oobs_iface_ppp_set_apn ()

    void
    oobs_iface_ppp_set_apn (OobsIfacePPP *iface,
                            const gchar *apn);

Sets the Access point name that will be used if the PPP interface is configured as GPRS.

#### Parameters

iface | An OobsIfacePPP |
apn | Access point name of the GPRS provider. |

### oobs_iface_ppp_get_apn ()

    const gchar *
    oobs_iface_ppp_get_apn (OobsIfacePPP *iface);

Returns the Access point name for the GPRS provider.

#### Parameters

iface | An OobsIfacePPP |

#### Returns

The Access point name. This string must not be freed, modified or stored.

## Property Details

### The `“apn”` property

      “apn”                      char *

Access provider name used for GPRS.

Owner: OobsIfacePPP

Flags: Read / Write

Default value: NULL

### The `“connection-type”` property

      “connection-type”          char *

PPP connection type.

Owner: OobsIfacePPP

Flags: Read / Write

Default value: NULL

### The `“default-gateway”` property

      “default-gateway”          gboolean

Whether to use the iface as the default gateway.

Owner: OobsIfacePPP

Flags: Read / Write

Default value: TRUE

### The `“dial-type”` property

      “dial-type”                OobsDialType

Modem dial type.

Owner: OobsIfacePPP

Flags: Read / Write

Default value: OOBS_DIAL_TYPE_TONES

### The `“ethernet”` property

      “ethernet”                 OobsIfaceEthernet *

Ethernet interface used for PPPoE.

Owner: OobsIfacePPP

Flags: Read / Write

### The `“iface-section”` property

      “iface-section”            char *

Name of the wvdial section or the provider name.

Owner: OobsIfacePPP

Flags: Read / Write

Default value: NULL

### The `“login”` property

      “login”                    char *

Login for the connection.

Owner: OobsIfacePPP

Flags: Read / Write

Default value: NULL

### The `“password”` property

      “password”                 char *

Password for the connection.

Owner: OobsIfacePPP

Flags: Read / Write

Default value: NULL

### The `“peer-noauth”` property

      “peer-noauth”              gboolean

Whether the ISP has to authenticate itself or not.

Owner: OobsIfacePPP

Flags: Read / Write

Default value: TRUE

### The `“persistent”` property

      “persistent”               gboolean

Whether to persist if the connection fails.

Owner: OobsIfacePPP

Flags: Read / Write

Default value: FALSE

### The `“phone-number”` property

      “phone-number”             char *

Phone number for the connection.

Owner: OobsIfacePPP

Flags: Read / Write

Default value: NULL

### The `“phone-prefix”` property

      “phone-prefix”             char *

Phone prefix for the connection.

Owner: OobsIfacePPP

Flags: Read / Write

Default value: NULL

### The `“serial-port”` property

      “serial-port”              char *

Serial port for the connection.

Owner: OobsIfacePPP

Flags: Read / Write

Default value: NULL

### The `“use-peer-dns”` property

      “use-peer-dns”             gboolean

Whether to use the ISP DNS.

Owner: OobsIfacePPP

Flags: Read / Write

Default value: TRUE

### The `“volume”` property

      “volume”                   OobsModemVolume

Modem volume.

Owner: OobsIfacePPP

Flags: Read / Write

Default value: OOBS_MODEM_VOLUME_SILENT

## See Also

OobsIface, OobsIfacesConfig, OobsIfaceEthernet, OobsIfaceIRLan, OobsIfacePlip, OobsIfaceWireless